package com.xinto.mauth.ui.theme.color

import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color

val MothPurpleLight = lightColorScheme(
    primary = Color(0xFF804D7A),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFFFFD7F5),
    onPrimaryContainer = Color(0xFF340832),
    secondary = Color(0xFF6D5869),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFFF7DAEF),
    onSecondaryContainer = Color(0xFF271624),
    tertiary = Color(0xFF825345),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFFFFDBD1),
    onTertiaryContainer = Color(0xFF321208),
    error = Color(0xFFBA1A1A),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFFFFDAD6),
    onErrorContainer = Color(0xFF410002),
    background = Color(0xFFFFF7F9),
    onBackground = Color(0xFF201A1E),
    surface = Color(0xFFFFF7F9),
    onSurface = Color(0xFF201A1E),
    surfaceVariant = Color(0xFFEEDEE7),
    onSurfaceVariant = Color(0xFF4E444B),
    outline = Color(0xFF80747C),
    outlineVariant = Color(0xFFD1C2CB),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFF352E33),
    inverseOnSurface = Color(0xFFFAEDF4),
    inversePrimary = Color(0xFFF1B3E6),
    surfaceDim = Color(0xFFE3D7DD),
    surfaceBright = Color(0xFFFFF7F9),
    surfaceContainerLowest = Color(0xFFFFFFFF),
    surfaceContainerLow = Color(0xFFFDF0F7),
    surfaceContainer = Color(0xFFF7EBF1),
    surfaceContainerHigh = Color(0xFFF1E5EB),
    surfaceContainerHighest = Color(0xFFECDFE5),
)

val MothPurpleLightMediumContrast = lightColorScheme(
    primary = Color(0xFF61325C),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFF986391),
    onPrimaryContainer = Color(0xFFFFFFFF),
    secondary = Color(0xFF503D4D),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFF856E7F),
    onSecondaryContainer = Color(0xFFFFFFFF),
    tertiary = Color(0xFF62382C),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFF9B685A),
    onTertiaryContainer = Color(0xFFFFFFFF),
    error = Color(0xFF8C0009),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFFDA342E),
    onErrorContainer = Color(0xFFFFFFFF),
    background = Color(0xFFFFF7F9),
    onBackground = Color(0xFF201A1E),
    surface = Color(0xFFFFF7F9),
    onSurface = Color(0xFF201A1E),
    surfaceVariant = Color(0xFFEEDEE7),
    onSurfaceVariant = Color(0xFF4A4047),
    outline = Color(0xFF675C63),
    outlineVariant = Color(0xFF83777F),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFF352E33),
    inverseOnSurface = Color(0xFFFAEDF4),
    inversePrimary = Color(0xFFF1B3E6),
    surfaceDim = Color(0xFFE3D7DD),
    surfaceBright = Color(0xFFFFF7F9),
    surfaceContainerLowest = Color(0xFFFFFFFF),
    surfaceContainerLow = Color(0xFFFDF0F7),
    surfaceContainer = Color(0xFFF7EBF1),
    surfaceContainerHigh = Color(0xFFF1E5EB),
    surfaceContainerHighest = Color(0xFFECDFE5),
)

val MothPurpleLightHighContrast = lightColorScheme(
    primary = Color(0xFF3B103A),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFF61325C),
    onPrimaryContainer = Color(0xFFFFFFFF),
    secondary = Color(0xFF2E1D2B),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFF503D4D),
    onSecondaryContainer = Color(0xFFFFFFFF),
    tertiary = Color(0xFF3B180E),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFF62382C),
    onTertiaryContainer = Color(0xFFFFFFFF),
    error = Color(0xFF4E0002),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFF8C0009),
    onErrorContainer = Color(0xFFFFFFFF),
    background = Color(0xFFFFF7F9),
    onBackground = Color(0xFF201A1E),
    surface = Color(0xFFFFF7F9),
    onSurface = Color(0xFF000000),
    surfaceVariant = Color(0xFFEEDEE7),
    onSurfaceVariant = Color(0xFF2A2128),
    outline = Color(0xFF4A4047),
    outlineVariant = Color(0xFF4A4047),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFF352E33),
    inverseOnSurface = Color(0xFFFFFFFF),
    inversePrimary = Color(0xFFFFE5F7),
    surfaceDim = Color(0xFFE3D7DD),
    surfaceBright = Color(0xFFFFF7F9),
    surfaceContainerLowest = Color(0xFFFFFFFF),
    surfaceContainerLow = Color(0xFFFDF0F7),
    surfaceContainer = Color(0xFFF7EBF1),
    surfaceContainerHigh = Color(0xFFF1E5EB),
    surfaceContainerHighest = Color(0xFFECDFE5),
)

val MothPurpleDark = darkColorScheme(
    primary = Color(0xFFF1B3E6),
    onPrimary = Color(0xFF4C1F49),
    primaryContainer = Color(0xFF653661),
    onPrimaryContainer = Color(0xFFFFD7F5),
    secondary = Color(0xFFDABFD2),
    onSecondary = Color(0xFF3D2B3A),
    secondaryContainer = Color(0xFF554151),
    onSecondaryContainer = Color(0xFFF7DAEF),
    tertiary = Color(0xFFF5B8A7),
    onTertiary = Color(0xFF4C261B),
    tertiaryContainer = Color(0xFF663C2F),
    onTertiaryContainer = Color(0xFFFFDBD1),
    error = Color(0xFFFFB4AB),
    onError = Color(0xFF690005),
    errorContainer = Color(0xFF93000A),
    onErrorContainer = Color(0xFFFFDAD6),
    background = Color(0xFF171216),
    onBackground = Color(0xFFECDFE5),
    surface = Color(0xFF171216),
    onSurface = Color(0xFFECDFE5),
    surfaceVariant = Color(0xFF4E444B),
    onSurfaceVariant = Color(0xFFD1C2CB),
    outline = Color(0xFF9A8D95),
    outlineVariant = Color(0xFF4E444B),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFFECDFE5),
    inverseOnSurface = Color(0xFF352E33),
    inversePrimary = Color(0xFF804D7A),
    surfaceDim = Color(0xFF171216),
    surfaceBright = Color(0xFF3E373C),
    surfaceContainerLowest = Color(0xFF120D11),
    surfaceContainerLow = Color(0xFF201A1E),
    surfaceContainer = Color(0xFF241E22),
    surfaceContainerHigh = Color(0xFF2F282D),
    surfaceContainerHighest = Color(0xFF3A3338),
)

val MothPurpleDarkMediumContrast = darkColorScheme(
    primary = Color(0xFFF6B7EB),
    onPrimary = Color(0xFF2D032D),
    primaryContainer = Color(0xFFB77EAE),
    onPrimaryContainer = Color(0xFF000000),
    secondary = Color(0xFFDEC3D7),
    onSecondary = Color(0xFF21111F),
    secondaryContainer = Color(0xFFA2899C),
    onSecondaryContainer = Color(0xFF000000),
    tertiary = Color(0xFFFABCAB),
    onTertiary = Color(0xFF2C0D04),
    tertiaryContainer = Color(0xFFBA8474),
    onTertiaryContainer = Color(0xFF000000),
    error = Color(0xFFFFBAB1),
    onError = Color(0xFF370001),
    errorContainer = Color(0xFFFF5449),
    onErrorContainer = Color(0xFF000000),
    background = Color(0xFF171216),
    onBackground = Color(0xFFECDFE5),
    surface = Color(0xFF171216),
    onSurface = Color(0xFFFFF9FA),
    surfaceVariant = Color(0xFF4E444B),
    onSurfaceVariant = Color(0xFFD5C7CF),
    outline = Color(0xFFAD9FA7),
    outlineVariant = Color(0xFF8C8088),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFFECDFE5),
    inverseOnSurface = Color(0xFF2F282D),
    inversePrimary = Color(0xFF673762),
    surfaceDim = Color(0xFF171216),
    surfaceBright = Color(0xFF3E373C),
    surfaceContainerLowest = Color(0xFF120D11),
    surfaceContainerLow = Color(0xFF201A1E),
    surfaceContainer = Color(0xFF241E22),
    surfaceContainerHigh = Color(0xFF2F282D),
    surfaceContainerHighest = Color(0xFF3A3338),
)

val MothPurpleDarkhighContrast = darkColorScheme(
    primary = Color(0xFFFFF9FA),
    onPrimary = Color(0xFF000000),
    primaryContainer = Color(0xFFF6B7EB),
    onPrimaryContainer = Color(0xFF000000),
    secondary = Color(0xFFFFF9FA),
    onSecondary = Color(0xFF000000),
    secondaryContainer = Color(0xFFDEC3D7),
    onSecondaryContainer = Color(0xFF000000),
    tertiary = Color(0xFFFFF9F8),
    onTertiary = Color(0xFF000000),
    tertiaryContainer = Color(0xFFFABCAB),
    onTertiaryContainer = Color(0xFF000000),
    error = Color(0xFFFFF9F9),
    onError = Color(0xFF000000),
    errorContainer = Color(0xFFFFBAB1),
    onErrorContainer = Color(0xFF000000),
    background = Color(0xFF171216),
    onBackground = Color(0xFFECDFE5),
    surface = Color(0xFF171216),
    onSurface = Color(0xFFFFFFFF),
    surfaceVariant = Color(0xFF4E444B),
    onSurfaceVariant = Color(0xFFFFF9FA),
    outline = Color(0xFFD5C7CF),
    outlineVariant = Color(0xFFD5C7CF),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFFECDFE5),
    inverseOnSurface = Color(0xFF000000),
    inversePrimary = Color(0xFF441842),
    surfaceDim = Color(0xFF171216),
    surfaceBright = Color(0xFF3E373C),
    surfaceContainerLowest = Color(0xFF120D11),
    surfaceContainerLow = Color(0xFF201A1E),
    surfaceContainer = Color(0xFF241E22),
    surfaceContainerHigh = Color(0xFF2F282D),
    surfaceContainerHighest = Color(0xFF3A3338),
)

val MothPurple = Color(0xFF420042)