package com.xinto.mauth.ui.theme.color

import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color

val OrangeOrangeLight = lightColorScheme(
    primary = Color(0xFF815512),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFFFFDDB7),
    onPrimaryContainer = Color(0xFF2A1700),
    secondary = Color(0xFF705B41),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFFFCDEBC),
    onSecondaryContainer = Color(0xFF281805),
    tertiary = Color(0xFF53643E),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFFD6E9B9),
    onTertiaryContainer = Color(0xFF121F03),
    error = Color(0xFFBA1A1A),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFFFFDAD6),
    onErrorContainer = Color(0xFF410002),
    background = Color(0xFFFFF8F4),
    onBackground = Color(0xFF211A13),
    surface = Color(0xFFFFF8F4),
    onSurface = Color(0xFF211A13),
    surfaceVariant = Color(0xFFF0E0D0),
    onSurfaceVariant = Color(0xFF504539),
    outline = Color(0xFF827568),
    outlineVariant = Color(0xFFD4C4B5),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFF362F27),
    inverseOnSurface = Color(0xFFFCEEE2),
    inversePrimary = Color(0xFFF7BB70),
    surfaceDim = Color(0xFFE5D8CC),
    surfaceBright = Color(0xFFFFF8F4),
    surfaceContainerLowest = Color(0xFFFFFFFF),
    surfaceContainerLow = Color(0xFFFFF1E5),
    surfaceContainer = Color(0xFFF9ECE0),
    surfaceContainerHigh = Color(0xFFF3E6DA),
    surfaceContainerHighest = Color(0xFFEEE0D4),
)

val OrangeOrangeLightMediumContrast = lightColorScheme(
    primary = Color(0xFF5F3B00),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFF9B6B28),
    onPrimaryContainer = Color(0xFFFFFFFF),
    secondary = Color(0xFF533F27),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFF887055),
    onSecondaryContainer = Color(0xFFFFFFFF),
    tertiary = Color(0xFF384824),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFF697A52),
    onTertiaryContainer = Color(0xFFFFFFFF),
    error = Color(0xFF8C0009),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFFDA342E),
    onErrorContainer = Color(0xFFFFFFFF),
    background = Color(0xFFFFF8F4),
    onBackground = Color(0xFF211A13),
    surface = Color(0xFFFFF8F4),
    onSurface = Color(0xFF211A13),
    surfaceVariant = Color(0xFFF0E0D0),
    onSurfaceVariant = Color(0xFF4C4136),
    outline = Color(0xFF695D51),
    outlineVariant = Color(0xFF85796B),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFF362F27),
    inverseOnSurface = Color(0xFFFCEEE2),
    inversePrimary = Color(0xFFF7BB70),
    surfaceDim = Color(0xFFE5D8CC),
    surfaceBright = Color(0xFFFFF8F4),
    surfaceContainerLowest = Color(0xFFFFFFFF),
    surfaceContainerLow = Color(0xFFFFF1E5),
    surfaceContainer = Color(0xFFF9ECE0),
    surfaceContainerHigh = Color(0xFFF3E6DA),
    surfaceContainerHighest = Color(0xFFEEE0D4),
)

val OrangeOrangeLightHighContrast = lightColorScheme(
    primary = Color(0xFF331D00),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFF5F3B00),
    onPrimaryContainer = Color(0xFFFFFFFF),
    secondary = Color(0xFF2F1F0A),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFF533F27),
    onSecondaryContainer = Color(0xFFFFFFFF),
    tertiary = Color(0xFF182607),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFF384824),
    onTertiaryContainer = Color(0xFFFFFFFF),
    error = Color(0xFF4E0002),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFF8C0009),
    onErrorContainer = Color(0xFFFFFFFF),
    background = Color(0xFFFFF8F4),
    onBackground = Color(0xFF211A13),
    surface = Color(0xFFFFF8F4),
    onSurface = Color(0xFF000000),
    surfaceVariant = Color(0xFFF0E0D0),
    onSurfaceVariant = Color(0xFF2B2218),
    outline = Color(0xFF4C4136),
    outlineVariant = Color(0xFF4C4136),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFF362F27),
    inverseOnSurface = Color(0xFFFFFFFF),
    inversePrimary = Color(0xFFFFE8D1),
    surfaceDim = Color(0xFFE5D8CC),
    surfaceBright = Color(0xFFFFF8F4),
    surfaceContainerLowest = Color(0xFFFFFFFF),
    surfaceContainerLow = Color(0xFFFFF1E5),
    surfaceContainer = Color(0xFFF9ECE0),
    surfaceContainerHigh = Color(0xFFF3E6DA),
    surfaceContainerHighest = Color(0xFFEEE0D4),
)

val OrangeOrangeDark = darkColorScheme(
    primary = Color(0xFFF7BB70),
    onPrimary = Color(0xFF462A00),
    primaryContainer = Color(0xFF653E00),
    onPrimaryContainer = Color(0xFFFFDDB7),
    secondary = Color(0xFFDFC2A2),
    onSecondary = Color(0xFF3F2D17),
    secondaryContainer = Color(0xFF57432B),
    onSecondaryContainer = Color(0xFFFCDEBC),
    tertiary = Color(0xFFBACD9F),
    onTertiary = Color(0xFF263514),
    tertiaryContainer = Color(0xFF3C4C28),
    onTertiaryContainer = Color(0xFFD6E9B9),
    error = Color(0xFFFFB4AB),
    onError = Color(0xFF690005),
    errorContainer = Color(0xFF93000A),
    onErrorContainer = Color(0xFFFFDAD6),
    background = Color(0xFF18120C),
    onBackground = Color(0xFFEEE0D4),
    surface = Color(0xFF18120C),
    onSurface = Color(0xFFEEE0D4),
    surfaceVariant = Color(0xFF504539),
    onSurfaceVariant = Color(0xFFD4C4B5),
    outline = Color(0xFF9C8E80),
    outlineVariant = Color(0xFF504539),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFFEEE0D4),
    inverseOnSurface = Color(0xFF362F27),
    inversePrimary = Color(0xFF815512),
    surfaceDim = Color(0xFF18120C),
    surfaceBright = Color(0xFF403830),
    surfaceContainerLowest = Color(0xFF130D07),
    surfaceContainerLow = Color(0xFF211A13),
    surfaceContainer = Color(0xFF251E17),
    surfaceContainerHigh = Color(0xFF302921),
    surfaceContainerHighest = Color(0xFF3B332B),
)

val OrangeOrangeDarkMediumContrast = darkColorScheme(
    primary = Color(0xFFFCC074),
    onPrimary = Color(0xFF231300),
    primaryContainer = Color(0xFFBB8641),
    onPrimaryContainer = Color(0xFF000000),
    secondary = Color(0xFFE3C6A6),
    onSecondary = Color(0xFF221302),
    secondaryContainer = Color(0xFFA68C6F),
    onSecondaryContainer = Color(0xFF000000),
    tertiary = Color(0xFFBFD1A3),
    onTertiary = Color(0xFF0D1A00),
    tertiaryContainer = Color(0xFF85976C),
    onTertiaryContainer = Color(0xFF000000),
    error = Color(0xFFFFBAB1),
    onError = Color(0xFF370001),
    errorContainer = Color(0xFFFF5449),
    onErrorContainer = Color(0xFF000000),
    background = Color(0xFF18120C),
    onBackground = Color(0xFFEEE0D4),
    surface = Color(0xFF18120C),
    onSurface = Color(0xFFFFFAF7),
    surfaceVariant = Color(0xFF504539),
    onSurfaceVariant = Color(0xFFD8C8B9),
    outline = Color(0xFFAFA092),
    outlineVariant = Color(0xFF8E8173),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFFEEE0D4),
    inverseOnSurface = Color(0xFF302921),
    inversePrimary = Color(0xFF663F00),
    surfaceDim = Color(0xFF18120C),
    surfaceBright = Color(0xFF403830),
    surfaceContainerLowest = Color(0xFF130D07),
    surfaceContainerLow = Color(0xFF211A13),
    surfaceContainer = Color(0xFF251E17),
    surfaceContainerHigh = Color(0xFF302921),
    surfaceContainerHighest = Color(0xFF3B332B),
)

val OrangeOrangeDarkHighContrast = darkColorScheme(
    primary = Color(0xFFFFFAF7),
    onPrimary = Color(0xFF000000),
    primaryContainer = Color(0xFFFCC074),
    onPrimaryContainer = Color(0xFF000000),
    secondary = Color(0xFFFFFAF7),
    onSecondary = Color(0xFF000000),
    secondaryContainer = Color(0xFFE3C6A6),
    onSecondaryContainer = Color(0xFF000000),
    tertiary = Color(0xFFF4FFDF),
    onTertiary = Color(0xFF000000),
    tertiaryContainer = Color(0xFFBFD1A3),
    onTertiaryContainer = Color(0xFF000000),
    error = Color(0xFFFFF9F9),
    onError = Color(0xFF000000),
    errorContainer = Color(0xFFFFBAB1),
    onErrorContainer = Color(0xFF000000),
    background = Color(0xFF18120C),
    onBackground = Color(0xFFEEE0D4),
    surface = Color(0xFF18120C),
    onSurface = Color(0xFFFFFFFF),
    surfaceVariant = Color(0xFF504539),
    onSurfaceVariant = Color(0xFFFFFAF7),
    outline = Color(0xFFD8C8B9),
    outlineVariant = Color(0xFFD8C8B9),
    scrim = Color(0xFF000000),
    inverseSurface = Color(0xFFEEE0D4),
    inverseOnSurface = Color(0xFF000000),
    inversePrimary = Color(0xFF3E2400),
    surfaceDim = Color(0xFF18120C),
    surfaceBright = Color(0xFF403830),
    surfaceContainerLowest = Color(0xFF130D07),
    surfaceContainerLow = Color(0xFF211A13),
    surfaceContainer = Color(0xFF251E17),
    surfaceContainerHigh = Color(0xFF302921),
    surfaceContainerHighest = Color(0xFF3B332B),
)

val OrangeOrange = Color(0xFFFFA500)